Bug 1574868 - ExclusiveArch is global and breaks repos for non-EFI arches
Summary: ExclusiveArch is global and breaks repos for non-EFI arches
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: efi-rpm-macros
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 08:23 UTC by Dan Horák
Modified: 2018-05-07 16:32 UTC (History)
2 users (show)

Fixed In Version: efi-rpm-macros-3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 16:32:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Horák 2018-05-04 08:23:02 UTC
Description of problem:
The ExclusiveArch tag value (https://src.fedoraproject.org/rpms/efi-rpm-macros/blame/efi-rpm-macros.spec?identifier=master#_8) is stored in the source rpm which pungi (the tool that creates user consumable repos) uses to filter out noarch rpm for the arches not listed.

See
...
2018-05-03 06:03:28 [DEBUG   ] Excluding (EXCLUSIVEARCH: ['aarch64', 'armv3l', 'armv4b', 'armv4l', 'armv4tl', 'armv5tejl', 'armv5tel', 'armv5tl', 'armv6hl', 'armv6l', 'armv7hl', 'armv7hnl', 'armv7l', 'athlon', 'geode', 'i386', 'i486', 'i586', 'i686', 'pentium3', 'pentium4', 'x86_64']): efi-srpm-macros-2-5.fc29.noarch.rpm
2018-05-03 06:03:28 [DEBUG   ] Excluding (EXCLUSIVEARCH: ['aarch64', 'armv3l', 'armv4b', 'armv4l', 'armv4tl', 'armv5tejl', 'armv5tel', 'armv5tl', 'armv6hl', 'armv6l', 'armv7hl', 'armv7hnl', 'armv7l', 'athlon', 'geode', 'i386', 'i486', 'i586', 'i686', 'pentium3', 'pentium4', 'x86_64']): efi-rpm-macros-2-5.fc29.noarch.rpm
...
in https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20180503.n.0/logs/global/pungi.global.log

As a result the user consumable repos have broken deps for redhat-rpm-config on all non-EFI arches (there can't be %ifarched Require in noarch rpm). The situation in koji is different as it doesn't use pungi but createrepo for its buildroot repos.

I think that generally we have all *-rpm-macros packages without any ExclusiveArch/ExcludeArch tags, but they can define "foo_arches" that's later used in arch-exclusive packages (openblas-srpm-macros comes to my mind).

Version-Release number of selected component (if applicable):
efi-rpm-macros-2-6.fc29

Comment 1 Dan Horák 2018-05-04 15:26:13 UTC
original report is https://pagure.io/releng/issue/7481

Comment 2 Peter Jones 2018-05-04 19:18:57 UTC
Should be fixed in efi-rpm-macros-3-1.fc29; let me know if you see further failures.

Comment 3 Dan Horák 2018-05-07 07:46:06 UTC
Thanks, composes are back OK after the change.


Note You need to log in before you can comment on or make changes to this bug.